# Interface Parser

All Known Implementing Classes:
  `ObjectFactory.MonitorParser, ParserImpl`

public interface Parser

## Method Summary

Modifier and Type
Method
Description
`Status`
`parseBytes(byte[] bytes)`
`Status`
`parseSampleResult(SampleResult result)`
`Status`
`parseString(String content)`

## Method Details

### parseBytes

Status parseBytes(byte[] bytes)

### parseString

Status parseString(String content)

### parseSampleResult

Status parseSampleResult(SampleResult result)